import { getRequest, postRequest } from "@/utils/request";

// 列表查询算法信息维护
export async function upholdAlgorithmInfoList(params: any) {
  return getRequest(`/xgd/upholdAlgorithmInfo/list`, params);
}

// 查看算法信息维护
export async function upholdAlgorithmInfoId(params: any) {
  return getRequest(`/xgd/upholdAlgorithmInfo/getById/${params.id}`, {});
}

// 批量删除或恢复算法信息维护
export async function upholdAlgorithmInfoDelOrRestore(data: any) {
  return postRequest(`/xgd/upholdAlgorithmInfo/delOrRestore`, data);
}

// 新增或修改算法信息维护
export async function upholdAlgorithmInfoEditOrAdd(data: any) {
  return postRequest(`/xgd/upholdAlgorithmInfo/editOrAdd`, data);
}

// 批量删除或恢复参数信息维护
export async function upholdArgsInfoDelOrRestore(data: any) {
  return postRequest(`/xgd/upholdArgsInfo/delOrRestore`, data);
}

// 新增或修改参数信息维护
export async function upholdArgsInfoEditOrAdd(data: any) {
  return postRequest(`/xgd/upholdArgsInfo/editOrAdd`, data);
}

// 查看参数信息维护
export async function upholdArgsInfoId(params: any) {
  return getRequest(`/xgd/upholdArgsInfo/getById/${params.id}`, {});
}

// 列表查询参数信息维护
export async function upholdArgsInfoList(params: any) {
  return getRequest(`/xgd/upholdArgsInfo/list`, params);
}

// 删除算法配发
export async function algorithmDistributeDelOrRestore(data: any) {
  return postRequest(`/xgd/algorithmDistributeDelOrRestore/delete/${data?.id}`, {});
}

// 新增或修改算法配发
export async function algorithmDistributeEditOrAdd(data: any) {
  return postRequest(`/xgd/algorithmDistribute/editOrAdd`, data);
}

// 查看算法配发
export async function algorithmDistributeId(params: any) {
  return getRequest(`/xgd/algorithmDistribute/getById/${params.id}`, {});
}

// 列表查询算法配发
export async function algorithmDistributeList(params: any) {
  return getRequest(`/xgd/algorithmDistribute/list`, params);
}

// 删除算法参数配发
export async function algorithmArgsDistributeDelOrRestore(data: any) {
  return postRequest(`/xgd/algorithmArgsDistribute/delete/${data?.id}`, {});
}

// 新增或修改算法参数配发
export async function algorithmArgsDistributeEditOrAdd(data: any) {
  return postRequest(`/xgd/algorithmArgsDistribute/editOrAdd`, data);
}

// 查看算法参数配发
export async function algorithmArgsDistributeId(params: any) {
  return getRequest(`/xgd/algorithmArgsDistribute/getById/${params.id}`, {});
}

// 列表查询算法参数配发
export async function algorithmArgsDistributeList(params: any) {
  return getRequest(`/xgd/algorithmArgsDistribute/list`, params);
}


// 删除算法配置
export async function algorithmConfigDelete(data: any) {
  return postRequest(`/xgd/algorithmConfig/delete/${data?.id}`, {});
}

// 新增或修改算法配置
export async function algorithmConfigEditOrAdd(data: any) {
  return postRequest(`/xgd/algorithmConfig/editOrAdd`, data);
}

// 查看算法配置
export async function algorithmConfigId(params: any) {
  return getRequest(`/xgd/algorithmConfig/getById/${params.id}`, {});
}

// 列表查询算法配置
export async function algorithmConfigList(params: any) {
  return getRequest(`/xgd/algorithmConfig/list`, params);
}

// 删除算法参数配置
export async function algorithmArgsConfigDelete(data: any) {
  return postRequest(`/xgd/algorithmArgsConfig/delete/${data?.id}`, {});
}

// 新增或修改算法参数配置
export async function algorithmArgsConfigEditOrAdd(data: any) {
  return postRequest(`/xgd/algorithmArgsConfig/editOrAdd`, data);
}

// 查看算法参数配置
export async function algorithmArgsConfigId(params: any) {
  return getRequest(`/xgd/algorithmArgsConfig/getById/${params.id}`, {});
}

// 列表查询算法参数配置
export async function algorithmArgsConfigList(params: any) {
  return getRequest(`/xgd/algorithmArgsConfig/list`, params);
}